=== debian/changelog ===
emwin (0.92-3) frozen unstable; urgency=medium

  * Don't bother dpkg if daemon doesn't start, closes #60773

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 24 Mar 2000 23:14:54 -0500

emwin (0.92-2) frozen unstable; urgency=HIGH

  * Update of emwinmcr (multicast receiver) Y2K OK
  * This needs to be in frozen, 0.91 and below won't receive current multicast stream

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 2 Feb 2000 20:46:17 -0500

emwin (0.92-1) unstable; urgency=low

  * Update of emwinmcr (multicast receiver) Y2K OK

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 2 Feb 2000 20:46:17 -0500

emwin (0.91-1) unstable; urgency=low

  * Incorporate NMU fixes
  * Update of emwinmcr (multicast receiver)
  * Make emwinser (serial port receiver) work the same way
  * Add init.d/emwin

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Oct 1999 22:50:04 -0400

+emwin (0.9-1.1) unstable; urgency=low

  * NMU for rc bugs
  * closes: #48332

 -- Sean E. Perry <shaleh@debian.org>  Tue, 26 Oct 1999 23:33:47 -0700

emwin (0.9-1) unstable; urgency=low

  * Initial Release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 26 Apr 1999 13:37:43 -0400

Local variables:
mode: debian-changelog
End:
