=== debian/control ===
Source: emwin
Section: misc
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Standards-Version: 2.5.0.0

Package: emwin
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: emwin-doc
Description: Weather Data processing
 The emwin package contains utilities for handling the data stream used in 
 the Emergency Managers Weather Information Network. This data stream is
 carried over satellite and VHF and UHF radio transmitters, and also
 via multicast IP over the MBone.
