## emwin 0.93-6

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include .config
 ifeq (.depend,$(wildcard .depend))
 include .depend
-do-it-all:      serport.o emwinser utf2ps sattopgm emwinmcr
+do-it-all:      serport.o emwinser utf2ps sattopgm emwinmcr emwinmcs
 	@echo If you have latex and dvips, type \"make docs\"
 else
 CONFIGURATION = depend
@@ -42,8 +42,8 @@
 	@echo \#define COMPILATION_USER \"`whoami`\" >> version.h
 	@echo \#define COMPILATION_TYPE \"$(CC) $(CFLAGS)\" >> version.h
 
-OBJS	=  emwin.o utf.o sattopgm.o serport.o emwinmcr.o
-SRCS	=  emwin.c utf.c sattopgm.c serport.c emwinmcr.c
+OBJS	=  emwin.o utf.o sattopgm.o serport.o emwinmcr.o emwinmcs.o
+SRCS	=  emwin.c utf.c sattopgm.c serport.c emwinmcr.c emwinmcs.c
 BINDIR	=  /usr/bin
 SBINDIR	=  /usr/sbin
 DOCDIR	=  /usr/share/doc/emwin
@@ -72,9 +72,6 @@
 
 docs: h5v6p2.ps
 
-emwinser: version.h
-	$(CC) $(CFLAGS) -o emwinser emwin.c serport.o
-
 utf: utf.c version.h
 	$(CC) -DSTANDALONE $(CFLAGS) -o utf utf.c
 
@@ -90,11 +87,17 @@
 emwinmcr: emwinmcr.c
 	$(CC) $(CFLAGS) -o emwinmcr emwinmcr.c
 
+emwinmcs: emwinmcs.c serport.o
+	$(CC) $(CFLAGS) -o emwinmcs emwinmcs.c serport.o
+
 serport.o: serport.c
 	$(CC) $(CFLAGS) -c serport.c
 
 serport: serport.c
 	$(CC) $(CFLAGS) -DSTANDALONE -o serport serport.c
+
+emwinser: version.h serport.o
+	$(CC) $(CFLAGS) -o emwinser emwinser.c serport.o
 
 h5v6p2.ps: h5v6p2.tex
 	latex h5v6p2.tex
@@ -102,14 +105,15 @@
 	dvips -o h5v6p2.ps h5v6p2.dvi
 
 installdirs:
-	mkdirhier $(DESTDIR)/$(BINDIR)
-	mkdirhier $(DESTDIR)/$(SBINDIR)
-	mkdirhier $(DESTDIR)/$(DOCDIR)
-#	mkdirhier $(DESTDIR)/$(INFODIR)
+	mkdir -p $(DESTDIR)/$(BINDIR)
+	mkdir -p $(DESTDIR)/$(SBINDIR)
+	mkdir -p $(DESTDIR)/$(DOCDIR)
+#	mkdir -p $(DESTDIR)/$(INFODIR)
 
 install: installdirs emwinmcr emwinser utf2ps sattopgm docs
 	$(INSTALL_PROGRAM) emwinser $(DESTDIR)/$(SBINDIR)/emwinser
 	$(INSTALL_PROGRAM) emwinmcr $(DESTDIR)/$(SBINDIR)/emwinmcr
+	$(INSTALL_PROGRAM) emwinmcs $(DESTDIR)/$(SBINDIR)/emwinmcs
 	$(INSTALL_PROGRAM) utf2ps $(DESTDIR)/$(BINDIR)/utf2ps
 	$(INSTALL_PROGRAM) sattopgm $(DESTDIR)/$(BINDIR)/sattopgm
 	$(INSTALL_DATA) README $(DESTDIR)/usr/share/doc/emwin/README
@@ -136,7 +140,7 @@
 	rm -f *.plot
 
 clean: dataclean
-	rm -f emwinser emwinmcr utf utf2ps xutf sattopgm version.h
+	rm -f emwinser emwinmcr emwinmcs utf utf2ps xutf sattopgm version.h
 	rm -f core
 	rm -f *.ps
 	rm -f *.dvi
