=== debian/changelog ===
emwin (0.93-6) unstable; urgency=low

  * Document /etc/init.d/emwin as conffile, closes: #84984
  * Fix man page references, closes #99529

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 28 Aug 2001 22:02:38 -0400

emwin (0.93-5) unstable; urgency=low

  * Use mkdir -p instead of mkdirhier to avoid dependency upon xutils
  * That will close Bug#87224

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2001 22:18:10 -0500

emwin (0.93-4) unstable; urgency=low

  * Update packaging correctly, 0.93-3 was bad.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 30 Jan 2001 19:15:19 -0400

emwin (0.93-3) unstable; urgency=low

  * Update packaging, closes #70310

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 30 Jan 2001 19:13:17 -0400

emwin (0.93-2) unstable; urgency=low

  * Once again takes input data from stdin (emwinser and emwinmcs)
  * New -w option for compatibility testing

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 19 Oct 2000 22:17:46 -0400

emwin (0.93-1) unstable; urgency=low

  * Update serial port support
  * Add multicast send capability (emwinmcs)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Sep 2000 21:21:03 -0400
