=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Standards-Version: 2.5.0.0
+Build-depends: debhelper, tetex-bin
+Standards-Version: 3.2.1.0
 
 Package: emwin
 Architecture: any
