=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	$(MAKE)
 	$(MAKE)
 	$(MAKE)
+	$(MAKE) docs
 
 	touch build-stamp
